GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

          • Create Resource
          • Batch Create Resources
          • Get Resource Details
          • Batch Get Resource Details
          • Get Resource List by Page
          • Update Resource
          • Delete Resource
          • Batch Delete Resources
          • Associate/Disassociate Application Resources to Tenant
          • Create Permission Namespace
          • Batch Create Permission Namespaces
          • Get Permission Namespace Details
          • Batch Get Permission Namespace Details
          • Update Permission Namespace
          • Delete Permission Namespace
          • Batch Delete Permission Namespaces
          • Authorize Resources
          • Get Authorized Resource List for Principal
          • Check if User Has Permission for Resource Action
          • Get Authorized Principals for Resource
        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Resource and Permission Management

  10. /
  11. Get Authorized Resource List for Principal

¶ Get a list of resources authorized by a subject

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get a list of resources authorized by a subject based on the filtering conditions.

¶ Method name

ManagementClient.get_authorized_resources

¶ Request parameters

NameType
Is it required?
Default value
Description
Sample value
targetTypestringyes-Target object type:
- USER: User
- ROLE: Role
- GROUP: Group
- DEPARTMENT: Department
USER
targetIdentifierstringyes-Target object unique identifier:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role code, such as admin
- If it is a group, it is the group code, such as developer
- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c
userId1
namespacestringNo-The code of the permission group (permission space). Do not pass to obtain the default permission group.default
resourceTypestringNo-Limit resource types, such as data, API, button, menuDATA
resourceListstring[]No-Limit the query resource list. If specified, only the specified resource list will be returned.

The resourceList parameter supports prefix matching, for example:
- Authorized a resource as books:123, which can be matched by books:*;
- Authorized a resource as books:fictions_123, which can be matched by books:fictions_;
Array length limit: 50.
withDeniedbooleanNo-Whether to obtain denied resources

¶ Request Response

Type: AuthorizedResourcePaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataAuthorizedResourcePagingDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "resourceCode": "ecs:1",
      "description": "Server",
      "condition": {
        "param": "AppId",
        "operator": "StringEquals",
        "value": "1"
      },
      "resourceType": "API",
      "apiIdentifier": "/api/v1/example",
      "actions": "[\"ecs:Start\",\"ecs:Stop\"]",
      "effect": "ALLOW"
    }
  }
}

¶ Data Structure

¶ AuthorizedResourcePagingDto

NameType
Required
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesResponse data Nested type: AuthorizedResourceDto.

¶ AuthorizedResourceDto

NameType
Required
Description
Sample value
resourceCodestringYesResource descriptorecs:1
descriptionstringNoResource description informationServer
conditionarrayNoPolicy Condition Nested type: PolicyCondition.
resourceTypestringyesResource typeDATA
apiIdentifierstringyesAPI URL/api/v1/example
actionsarrayyesList of authorized actions["ecs:Start","ecs:Stop"]
effectstringyesAllow or denyALLOW

¶ PolicyCondition

NameType
Is it required?
Description
Example value
paramstringyesCondition ParamUserPoolId
operatorstringyesCondition OperatorBool
valuestringyesCondition Value1
Previous article: Authorize Resources Next article: Check if User Has Permission for Resource Action
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.